[API Reference](../README.md) > [VoteOptions](../interfaces/VoteOptions.md)

# Interface: VoteOptions

## Hierarchy

 [ProposalIdOption](ProposalIdOption.md)

**↳ VoteOptions**

## Index

### Properties

* [proposalId](VoteOptions.md#proposalId)
* [vote](VoteOptions.md#vote)
* [voterAddress](VoteOptions.md#voterAddress)

---

## Properties

<a id="proposalId"></a>

###  proposalId

**● proposalId**: *[Hash](../#Hash)*

*Inherited from [ProposalIdOption](ProposalIdOption.md).[proposalId](ProposalIdOption.md#proposalId)*

*Defined in [wrappers/iIntVoteInterface.ts:66](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L66)*

___
<a id="vote"></a>

###  vote

**● vote**: *`number`*

*Defined in [wrappers/iIntVoteInterface.ts:51](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L51)*

___
<a id="voterAddress"></a>

### `<Optional>` voterAddress

**● voterAddress**: *[Address](../#Address)*

*Defined in [wrappers/iIntVoteInterface.ts:52](https://github.com/daostack/arc.js/blob/6f704389/lib/wrappers/iIntVoteInterface.ts#L52)*

___

